Knowledge BaseList collections for an account

List collections for an account

curl -X GET "https://api.rad.security/tenants/example_string/accounts/example_string/knowledge_base/collections?limit=50&offset=0" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_TOKEN"
{
  "current_offset": 42,
  "has_more": true,
  "total_count": 10,
  "entries": [
    "example_string"
  ]
}
GET
/tenants/{tenant_id}/accounts/{account_id}/knowledge_base/collections
GET
Base URLstring

Target server for requests. Edit to use your own host.

Bearer Token
Bearer Tokenstring
Required

Bearer token - just enter the token, "Bearer" prefix will be added automatically

query
limitinteger

Number of records to return

Min: 1
query
offsetinteger

Requested record offset

Min: 0
Request Preview
Response

Response will appear here after sending the request

Authentication

header
Authorizationstring
Required

Bearer token. Authentication token required.

Path Parameters

Query Parameters

limitinteger

Number of records to return

offsetinteger

Requested record offset

Responses

current_offsetinteger
Required

The offset of the currently requested record set

has_moreboolean
Required

If there are more records available

total_countinteger
Required

The total number of records that match the criteria

entriesstring[]
Required